Subject: Re: [PATCH v2 2/2] net: stmmac: Add Ingenic SoCs MAC support.

From: Andrew Lunn <[email-masked]>
Date: Thu, 10 Jun 2021 14:15:10 +0200

> The manual does not tell how much ps a unit is.
> 
> I am confirming with Ingenic, but there is no reply
> 
> at the moment. Can we follow Rockchip's approach?
> 
> According to the description in "rockchip-dwmac.yaml"
> 
> and the related code in "dwmac-rk.c", it seems that their
> 
> delay parameter seems to be the value used by the hardware
> 
> directly instead of ps.

We are much more strict about this now than before. You have to use
standard units and convert to hardware values. It also makes it a lot
easier for DT writers, if they have an idea what the units mean.

Having the MAC add small delays is something you can add later,
without breaking backwards compatibility. So if you cannot determine
what the units are now, just submit the glue driver without support
for this feature. If anybody really needs it, they can do the needed
research, maybe do some measurements, and then add the code.

    Andrew